Page MenuHome

Data Transfer Modifier don't work.
Closed, ResolvedPublic

Description

In blender 2.76, 2.76 RC2/RC3 Vertex data do not transfer when using modes: Nearest face interpolated, nearest face vertex. The rest seems work just fine. Nearest face interpolated produce the best results, pls fix it.

Event Timeline

Andrew (AndrewShi) raised the priority of this task from to 90.
Andrew (AndrewShi) updated the task description. (Show Details)
Andrew (AndrewShi) edited a custom field.
Bastien Montagne (mont29) lowered the priority of this task from 90 to 30.Oct 13 2015, 12:51 PM

Please follow our submission template and guidelines and make a complete, valid bug report, with required info, precise description of the issue, precise steps to reproduce it, small and simple .blend and/or other files to do so if needed, etc.

No news since one week…

Bastien Montagne (mont29) changed the task status from Unknown Status to Invalid.Oct 21 2015, 8:22 AM
Bastien Montagne (mont29) claimed this task.

I can confirm this issue. I have limited rigging experience and have mostly been working on assets rigged by others, but I can try to make a .blend if it is absolutely necessary.

Steps to reproduce:

  1. Create and rig a mesh, confirm that vertex groups and weights for the bones exist.
  2. Create a second mesh and fit it over the rigged/skinned one.
  3. Select the mesh to transfer to, then shift-select the mesh to transfer from.
  4. Select data transfer, vertex groups.
  5. Select 'nearest face interpolated' for the vertex mapping.
  6. Select the object that was supposed to have weights applied.
  7. Switch to weight paint mode and observe that no weights were transferred.

Affects versions: 2.76 RC1, 2.76 RC2, 2.76 RC3, 2.76, 2.76a, 2.76b.

Did you try the latest build from our buildbot? Otherwise, yes, please attach a .blend file to reproduce the issue.

I can still reproduce this issue in the latest version I could find from build-bot, 8c84a18.

From what I can tell, it behaves more unpredictably than just not working. In the model I'm working in, which I can't publish, the entire mesh gets weighted to a single bone which is not even nearby. That may have been a glitch, but in any case, it doesn't look like certain vertex mapping modes are working correctly when transferring vertex weights by any method I know of, including the modifier.

I'm attaching a simple .blend file I made which I'm able to reproduce the issue with:

Bastien Montagne (mont29) changed the task status from Invalid to Unknown Status.Nov 13 2015, 8:30 PM

*Triple sigh* Bug confirmed, regression due to typo in new looptri changes (which affects computation of mapping between two meshes)… Kinda sad initial author did not do his share of the work, we could have had this fixed in 2.76b :(

Bastien Montagne (mont29) raised the priority of this task from 30 to 50.Nov 13 2015, 8:31 PM